Attribute VB_Name = "modPalmKeyCodes"

Option Explicit

' modPalmKeyCodes
'
'    This module includes keycode definitions that can be passed to RegisterKeyCode
'    The RegisterKeyCode function is part of the AppForge System Functions library
'    To use RegisterKeyCode, you must first add a reference to the AppForge System
'    Functions library using Visual Basic's Project - References dialog.
'
'    By registering for a KeyCode, the normal Palm function is disabled, and the key
'    is received by your AppForge application.
'
'    If you set the KeyPreview property of a form to True, all key events will be received by
'    the form before being passed along to the Ingot with focus.
'
'    Please understand that by registering for critical keys, such as power, cradle, and launch
'    you can easily prevent a user from being able to exit your application.  If you do not
'    provide an alternate way to exit the application, the user must soft-reset their Palm OS
'    device to exit.
'
'    There is no way to pass along a button press to Palm OS for standard handling.

'Page Up button is vbKeyPageUp     - There is no need to register for the Page Up button
'Page Down button is vbKeyPageDown - There is no need to register for the Page Down button

Public Const vchrMenu = &H105                ' Menu button
Public Const vchrCommand = &H106             ' Command menu
Public Const vchrLaunch = &H108              ' Launch button (home key)
Public Const vchrKeyboard = &H109            ' Request to pop-up keyboard
Public Const vchrFind = &H10A                ' Find button
Public Const vchrCalc = &H10B                ' Calculator buttons
Public Const vchrKeyboardAlpha = &H110       ' Alpha-keyboard button
Public Const vchrKeyboardNumeric = &H111     ' Number-keyboard button
Public Const vchrHard1 = &H204               ' Leftmost hard key (usully Calendar)
Public Const vchrHard2 = &H205               ' Center-left hard key (usually PhoneBook)
Public Const vchrHard3 = &H206               ' Center-right hard key (usually To Do)
Public Const vchrHard4 = &H207               ' Rightmost hard key (usually Memo)
Public Const vchrHardPower = &H208           ' Power button
Public Const vchrHardCradle = &H209          ' Cradle button (HotSync)
Public Const vchrHardContrast = &H20B        ' Contrast button
Public Const vchrHardAntenna = &H20C         ' Antenna switch
